#!/bin/sh

if ! [[ -d pgvv/ ]]; then
	python3 -m venv pgvv
	source ./pgvv/bin/activate
	python3 -m pip install --upgrade pip
	pip install --upgrade pygments
	# pip install --upgrade fonttools
	# pip install --upgrade brotli
	deactivate
fi

which dnf
if ! [[ $? == 0 ]]; then
	echo 'please install hb-subset (provided by harfbuzz-devel on RedHat)'
	exit 6
fi

which opam 2> /dev/null
if [[ $? == 0 ]]; then
	opam install -y soupault
else
	echo 'failed to install soupault with opam' >&2
	exit 2
fi

which cargo 2> /dev/null
if [[ $? == 0 ]]; then
	cargo install jotdown
else
	echo 'failed to install jotdown with cargo'
	exit 3
fi

which git 2> /dev/null
if ! [[ $? == 0 ]]; then
	echo 'you need git'
	exit 4
fi

which cc 2> /dev/null
if ! [[ $? == 0 ]]; then
	echo 'you need a C compiler'
	exit 5
fi

if ! [[ -d woff2/ ]]; then
	git clone https://github.com/mobotsar/woff2.git --recursive || exit 7
	builtin pushd woff2
	make clean all || exit 8
	popd
fi